<?php 
	require_once("../includes/bootstrap2.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	$codest=$_GET['id'];
	$nper=$_GET['nper'];
	if(!headers_sent())
	    ob_start("ob_gzhandler");
	cache();
	
	$cnd="aca_faltas_estudiantes.cod_estudiante='".$codest."'";
	
	$sql="SELECT
    aca_faltas_estudiantes.cod_falta
    , aca_faltas_estudiantes.cod_estudiante
    , aca_faltas_estudiantes.fecha_falta
    , aux_tipos_faltas.tipo_falta
    , aca_faltas_estudiantes.desc_falta
    , aca_faltas_estudiantes.periodo_fal
    , aca_faltas_estudiantes.obser_falta
    , aca_disciplina_final.nota_def_numeros
    , aca_disciplina_final.nota_def_letras
FROM
    aca_faltas_estudiantes
    INNER JOIN aca_detalles_faltas 
        ON (aca_faltas_estudiantes.cod_falta = aca_detalles_faltas.cod_falta)
    INNER JOIN aca_disciplina_final 
        ON (aca_disciplina_final.cod_estudiante = aca_faltas_estudiantes.cod_estudiante) AND (aca_disciplina_final.periodo = aca_faltas_estudiantes.periodo_fal)
    INNER JOIN aux_tipos_faltas 
        ON (aca_detalles_faltas.ide_tipo_falta = aux_tipos_faltas.ide_tipo_falta) where $cnd
		order by aca_faltas_estudiantes.periodo_fal, aca_faltas_estudiantes.fecha_falta asc ";
	$academia->instruccion($sql);
	if($academia->num_rows()>0):
	?>
		<table border="0" cellspacing="0" cellpadding="0" class="table table-condensed table-bordered">
			<?php 
				$per=-1;
				$tem=1;
				for($i=1;$i<=$nper;$i++){
					$perArr[$i]=0;	
				}		
				while($reg=$academia->extraer_registro()):
					for($i=1;$i<=$nper;$i++){
						if($i==$reg['periodo_fal'])
							break;
						
						if($perArr[$i]==0){
							$per=1;	
							echo '<tr><td colspan="4" align="center" style="background-color:#CCC">
								<div><strong>Periodo: </strong>'. $i .' |  <strong>Concepto:</strong> Excelente 
							</div></td></tr>';	
						}
						$perArr[$i]=1;	
					}
					
					if($per!=$reg['periodo_fal']):
						if($per!=-1)
							echo "<tr><td colspan='4'>&nbsp;</td></tr>";
						$per=$reg['periodo_fal'];
						$perArr[$per]=1;
						
			?>
					<tr><td colspan="4" align="center" style="background-color:#CCC">
							<div><?php echo "<strong>Periodo:</strong> ". $reg['periodo_fal'] .' |  <strong>Concepto:</strong> '. $reg['nota_def_letras'] ?></div>
					</td></tr>
					
					<tr align="center">
						<th width="130px">Fecha y Hora</th>
						<th width="70px">Tipo Falta</th>
						<th width="337px">Descripción</th>
						<th>Observaciones</th>
					</tr>
					
				<?php endif ?>
				<tr>
					<td><?php echo $reg['fecha_falta']?></td>
					<td><?php echo $reg['tipo_falta']?></td>
					<td><?php echo $reg['desc_falta']?></td>
					<td><?php echo $reg['obser_falta']?></td>
				</tr>
			<?php endwhile; 
				for($i=1;$i<=$nper;$i++){
					if($perArr[$i]==0){	
						echo '<tr><td colspan="4" align="center" style="background-color:#CCC">
							<div><strong>Periodo: </strong>'. $i .' |  <strong>Concepto:</strong> Excelente 
						</div></td></tr>';	
					}	
					$perArr[$i]=1;	
				}
			?>
			
		</table>

<?php 
	else:
		echo '<table border="0" cellspacing="0" cellpadding="0" class="table table-condensed table-bordered">';
		
		for($i=1;$i<=$nper;$i++){
			if($i!=1) echo "<tr><td colspan='4'>&nbsp;</td></tr>";
?>			
			<tr>
				<td colspan="4" align="center" style="background-color:#CCC">
					<div><?php echo "<strong>Periodo:</strong> ". $i .' |  <strong>Concepto:</strong> Excelente' ?></div>
				</td>
			</tr>	
<?php 		
		}
		echo '</table>';
	endif
?>